#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class PresentationsController < ApplicationController
  before_filter :find_meeting
  before_filter :find_presentation, :except => [:new, :create]

  def new
    @presentation = Presentation.new
  end

  def edit
  end

  private

  def find_meeting 
    @meeting = Meeting.find(params[:meeting_id])
  end

  def find_presentation
    @presentation = @meeting.presentations.find(params[:id])
  end
end
