#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
ActionController::Routing::Routes.draw do |map|
  # meetings routes
  map.meeting '/meetings/show/:id', :controller => "meetings",
                                    :action     => "show"
  map.new_meeting '/meetings/new', :controller => "meetings", 
                                   :action     => "new"

  
  map.presentation 'meetings/:meeting_id/presentations/:action/:id',
                    :controller => "presentations", 
                    :action     => "show", 
                    :meeting_id => /\d+/

  # Install the default route as the lowest priority.
  map.connect ':controller/:action/:id'
  
  map.connect ':controller/:action/:id.:format'
end
