#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class CreatePresentations < ActiveRecord::Migration
  
  def self.up
    create_table :presentations do |t|
      t.integer :meeting_id
      t.integer :user_id
      t.string  :title
      t.text    :description
      t.timestamps 
    end

    # add index to columns used in joins
    add_index :presentations, :meeting_id
    add_index :presentations, :user_id
  end
  

  def self.down
    drop_table :presentations
  end
end
