#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Subscriber < ActiveRecord::Base
  validates_uniqueness_of :email, 
                          :message => "already exists on our list"
  validates_format_of :email, 
                      :with => /^[a-z0-9_.-]+@[a-z0-9-]+\.[a-z.]+$/i
end
