require_once 'PHPUnit/Framework.php';
require_once dirname(dirname(__FILE__)).'/lib/User.php';

class UserTest extends PHPUnit_Framework_TestCase {
    function setUp() {
        // set up test state
    }
    
    function tearDown() {
        // tear down test state
    }

    function testGetFullNameConcatenatesFirstAndLastName() {
        $user = new User('Derek', 'DeVries');
        $this->assertEquals('Derek DeVries', $user->getFullName());
    }

    function testIsAdminFlagDefaultsToFalse() {
        $user = new User('Derek', 'DeVries');
        $this->assertFalse($user->getIsAdmin());

        $user = new User('Derek', 'DeVries', true);
        $this->assertTrue($user->getIsAdmin());
    }
}
