#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class DocumentsController < ApplicationController
  def index
    @documents = Document.find(:all, :order => "id")
  end

  def show
    document = Document.find(params[:id])
    send_file("#{RAILS_ROOT}/uploads/#{document.filename}")
  end

  
  def new
    @document = Document.new
  end
  

  
  def create
    @document = Document.new(params[:document])
    if @document.save
      flash[:success] = "File uploaded successfully."
    end
    redirect_to :action => "index"
  end
  
end