#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User < ActiveRecord::Base
  
  def update_admin_for_nyc
    self.update_all("admin = 1", "location = 'NYC'")
  end
  

  
  def delete_from_tulsa
    self.delete_all("location = 'Tulsa'")
  end
  

  
  def find_archives
    self.find(:all, :select     => "id, name", 
                    :from       => "user_archives", 
                    :conditions => "admin = 1", 
                    :limit      => 10, 
                    :offset     => 10)
  end
  

  
  def find_including_archives
    sql = "SELECT * FROM users UNION SELECT * FROM user_archives"
    self.find_by_sql(sql)
  end
  

  
  def swap_to_archive
    connection.execute("INSERT INTO user_archives SELECT * from users")
  end
  
end
