#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class HomepageControllerTest < ActionController::TestCase
  fixtures :meetings

  # make sure that homepage displays login link
  def test_should_show_login_link_when_logged_out
    get :index, {}, :user => nil
    assert_select '#nav a', 'login'
  end
end
