#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require 'test/unit'
require File.dirname(__FILE__) + '/../lib/user'

class UserTest < Test::Unit::TestCase
  def setup
    # set up test state
  end
  
  def teardown
    # tear down test state
  end

  def test_full_name_concatenates_first_and_last_name
    user = User.new('Derek', 'DeVries')
    assert_equal 'Derek DeVries', user.full_name
  end
  
  def test_admin_flag_defaults_to_false
    user = User.new('Derek', 'DeVries')
    assert !user.admin?

    user = User.new('Derek', 'DeVries', true)
    assert user.admin?
  end
end
