class MyClass {
    protected $values = array('first'  => 'value one', 
                              'second' => 'value two');

    public function __isset($name) {
        return isset($this->values[$name]);
    }

    public function __unset($name) {
        unset($this->values[$name]);
    }

    public function __get($name) {
        return $this->values[$name];
    }
}

$obj = new MyClass;
if (isset($obj->first)) {
    print $obj->first."\n";
    // => value one

    unset($obj->first);
    var_export(isset($obj->first));
    // => false
}
