#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User
  attr_reader :name

  def initialize(name, admin, age)
    @name, @admin, @age = name, admin, age
  end

  def to_hash
    {:name => @name, :admin => @admin, :age => @age}
  end
end

joe = User.new('Joe', true, 32).to_hash
p joe
# {:admin=>true, :age=>32, :name=>"Joe"}