#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# we first extend all objects to have a 'method_name' method
class Object
  def method_name
    "#{self.class}##{$1}" if /`(.*)'/.match(caller.first)
  end
end

def top_level_method
  puts method_name
  # => Object#top_level_method
end

class MyClass
  def my_method
    puts method_name
    # => MyClass#my_method
  end
end