#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# multiple values are comma separated
color = 'blue'
case color
when 'red', 'yellow': 
  type = "Warm"
when 'blue', 'green':
  type = "Cool"
else
  type = "Invalid"
end
puts "#{type} color"

# We can use case's return value to shorten the statement
type = case color
       when 'red', 'yellow': "Warm"
       when 'blue', 'green': "Cool"
       else                  "Invalid"
       end
puts "#{type} color"