#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# when we use a block, it's passed in as an argument
def checker(value, &block)
  value << block.call if block
  value
end

# not passing a block
puts checker('test')
# => 'test'

# passing in a single-line block
puts checker('test') { " with a block" }
# => "test with a block"
