#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# parentheses left out of method definition 
def drink_water
  puts "Gulp, Gulp"
end
# stylisticly, parentheses would often be left off here as well
drink_water


# we need parentheses when we have arguments to pass in
def drink_beverage(type, size)
  puts "Gulping down #{size} of #{type}"
end
# we can invoke like this
drink_beverage "Gatorade", "gallon jug"

# but it is more stylisticly appropriate to use parentheses
drink_beverage("Gatorade", "gallon jug")