#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class MyClass 
  def initialize(name)
    @name = name
  end

  def _dump(depth)
    puts "calling sleep"
    @name
  end

  def MyClass._load(str)
    puts "calling wakeup"
    MyClass.new(str)
  end
end


obj = MyClass.new('my_var')
serialized = Marshal.dump(obj)
# => calling sleep

p serialized
# => "\004\bu:\fMyClass\vmy_var"

obj = Marshal.load(serialized)
# => calling wakeup