#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class MyAbstractClass
  private_class_method :new

  def get_my_value
    raise "Cannot call abstract method"
  end
end

class MyConcreteClass < MyAbstractClass
  public_class_method :new

  def initialize(value)
    @value = value
  end

  def get_my_value
    @value
  end
end

obj = MyConcreteClass.new('test value')
puts obj.get_my_value
# => test value

obj = MyAbstractClass.new
# => private method `new' called for MyAbstractClass:Class
