#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Media
  def initialize(title)
    @title = title
  end

  def title
    @title
  end
end

class Book < Media
  def initialize(title, author)
    super(title)
    @author = author
  end

  def author
    @author
  end
end

book = Book.new('Dracula', 'Bram Stoker')
puts "#{book.title} by #{book.author}"