#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class MyClass
  attr_accessor :name

  def initialize(name)
    @name = name
    puts "constructing"
    yield self
    puts "destructing"
  end
end

MyClass.new('test class') do |obj|
  # => constructing

  puts obj.name
  # => test class

end
# => destructing