#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Book
  attr_accessor :title, :author

  def initialize(title, author, price)
    @title, @author, @price = title, author, price
  end

  def publics
    [:title, :author]
  end
end
book = Book.new('Dracula', 'Bram Stoker', 9.95)

book.publics.each do |name| 
  puts "#{name} : #{book.send(name)}"  
end
# => title : Dracula
#    author : Bram Stoker
