#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# array union (+ doesn't work for hashes)
fruit = [:apple] + [:kiwi, :orange]
p fruit # => [:apple, :kiwi, :orange]

# add + operator to hash
class Hash; alias + update; end
result = { :a => 1, :b => 2 } + { :c => 3 }
p result # => { :b => 2, :c => 3, :a => 1 }