class Duck { 
    public function waddle() { 
        print "duck waddling...\n"; 
    } 
} 

class Goose { 
    public function waddle() { 
        print "goose waddling...\n"; 
    } 
} 

// only accept Duck 
function go(Duck $duck) { 
    $duck->waddle(); 
} 

go(new Duck); 
// => duck waddling... 

go(new Goose); 
// => Argument 1 passed to go() must be an instance of Duck 