#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class ArticlesController < ApplicationController
  before_filter :login_required
  caches_action :show

  def show
    @article = Article.find(params[:id])
  end
  
  def new
  end

  def create
    @article = Article.new(params[:article])

    if @article.save
      expire_page :controller => "articles", :action => "index" 

      flash[:notice] = 'Article successfully created.'
      redirect_to :action => "index"
    else
      render :action => "new"
    end
  end
end