#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class MeetingTest < Test::Unit::TestCase

  def test_should_find_upcoming_meetings
    meetings = Meeting.upcoming_meetings
    assert meetings.size > 0

    for meeting in meetings
      assert meeting.meets_on > Time.now.to_date
    end
  end

  def test_should_find_past_meetings
    meetings = Meeting.past_meetings
    assert meetings.size > 0

    for meeting in meetings
      assert meeting.meets_on <= Time.now.to_date
    end
  end
end
