#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class CreateUsers < ActiveRecord::Migration
  
  def self.up
    create_table :users do |t|
      t.string  :email
      t.string  :password, :limit => 40
      t.string  :name
      t.text    :profile,  :text
      t.boolean :admin,    :default => false
      t.timestamps 
    end
  end
  

  def self.down
    drop_table :users
  end
end
