#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class AddSaltToUsers < ActiveRecord::Migration
  def self.up
    rename_column :users, :password, :encrypted_password
    add_column :users, :salt, :string, :limit => 40
  end

  def self.down
    remove_column :users, :salt
    rename_column :users, :encrypted_password, :password
  end
end
