class User {
    protected $first, $last, $isAdmin;

    public function __construct($first, $last, $isAdmin = false) {
        $this->first   = $first;
        $this->last    = $last;
        $this->isAdmin = $isAdmin;
    }
    
    public function getFullName() {
        return "$this->first $this->last";
    }
    
    public function getIsAdmin() {
        return $this->isAdmin;
    }
}