#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class Document < ActiveRecord::Base
  
  before_save :write_file_upload

  def write_file_upload
    dest = "#{RAILS_ROOT}/uploads/#{self.filename}"
    File.open(dest, 'w') {|f| f << @contents }
  end
  
  
  
  def uploaded_file=(file)
    # contents of uploaded file
    @contents = file.read

    self.filename     = file.original_filename
    self.filesize     = file.length
    self.content_type = file.content_type
  end
  
end
