#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
require File.dirname(__FILE__) + '/../test_helper'

class PresentationTest < Test::Unit::TestCase
  fixtures :meetings, :presentations, :users

  def test_should_belongs_to_meeting
    rjs = presentations(:rjs_templates)
    assert_kind_of Meeting, rjs.meeting
  end

  def test_should_require_title
    attrs = { :title       => nil, 
              :description => "Render Javascript Snippets", 
              :user        => users(:admin_user) }
    p = Presentation.create(attrs)
    assert p.errors.invalid?(:title)
  end
end
