class MyClass {
    protected $name;

    public function __construct($name) {
        $this->name = $name;
    }

    public function __sleep() {
        print "calling sleep\n";
        return array('name');
    }

    public function __wakeup() {
        print "calling wakeup\n";
    }
}

$obj = new MyClass('my_var');
$serialized = serialize($obj);
// => calling sleep

print $serialized."\n";
// => O:7:"MyClass":1:{s:7:"*name";s:6:"my_var";}

unserialize($serialized);
// => calling wakeup
