#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class MyClass
  def initialize
    @values = { :first => 'value one', :second => 'value two' }
  end

  def delete(name)
    @values.delete(name)
  end

  def method_missing(name, *args)
    if name.to_s.include?('=')
      @values[name] = *args
    else
      @values[name]
    end
  end
end

obj = MyClass.new
if obj.first
  puts obj.first
  # => value one

  obj.delete(:first)
  puts obj.first
  # => nil
end
