#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User
  def name
    @name
  end

  def name=(name)
    @name = name
  end

  # methods
  def info
    "Name: #{@name}"
  end

  def printer
    # "self." is implied, and would generally be left out here
    puts self.info
  end
end

u = User.new
u.name = "Joe"
u.printer
# => Name: Joe