#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class User
  private
    def format(value)
      value.capitalize
    end
end

class Employee < User
  def initialize(name)
    # format is inherited, but can only be called by this instance
    @name = format(name)
  end
end