#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
# implements the singleton pattern
class Log
  private_class_method :new  
  @@instance = nil

  def initialize
    puts "constructed"
  end

  def self.get_instance
    @@instance ||= new 
  end
end

log1 = Log.get_instance
# => constructed
log2 = Log.get_instance

puts log1.equal?(log2)
# => true