#---
# Excerpted from "Rails for PHP Developers",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/ndphpr for more book information.
#---
class MyClass
  def self.class_method
    'a class method'
  end

  # this is the same as using def self.another_class_method, 
  # but not as stylish in the Ruby community
  def MyClass.another_class_method
    'another class method'
  end
  
  # all methods defined within this block are class methods
  class << self
    def yet_another
      'yet another'
    end

    def and_another
      'and another'
    end
  end
end

puts MyClass.class_method          # => a class method
puts MyClass.another_class_method  # => another class method
puts MyClass.yet_another           # => yet another
puts MyClass.and_another           # => and another