class DinosaurPark {
    protected $dinosaurs = array();
 
    public function add(Carnivore $dinosaur) {
        $this->dinosaurs[] = $dinosaur;
    }

    public function run() {
        foreach ($this->dinosaurs as $dino) {
            $dino->hunt();
        }
    }
}

$park = new DinosaurPark;
$park->add(new TRex);
$park->add(new Raptor);
$park->run();
// => TRex is hunting!
// => Raptor is hunting!